import { IAnswer, IMappedQuestionGroupAnswers, IVehiclePanelContentComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehiclePanelContent implements IVehiclePanelContentComponent {
    /**
     * Additional answers for a vehicle after the vehicle is saved/valid
     */
    additionalAnswers: IAnswer[];
    /**
     *  Labels that describe group
     */
    labelledBy: string;
    /**
     *  Nested question group map
     */
    questionGroup: IMappedQuestionGroupAnswers;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    shouldRenderQuestionGroup(questionGroupsWithAnswersAsKey: Map<string, IMappedQuestionGroupAnswers>, answer: IAnswer): boolean;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any[][];
    renderAnswer(answer: IAnswer): any[];
}
